
Foreman - Feature #6861

Add @provisioning_type variable to tell when provisioning with a host group

07/31/2014 06:54 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Templates   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1126937 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1637

  

Description

A host group provisioned host won't have a token, so the call to foreman_url fails.  We should have a helper to know if we're

provisioning by hostgroup/template or an actual host.

Associated revisions

Revision 7d5aaa82 - 08/05/2014 07:54 AM - Stephen Benjamin

fixes #6861 - provide a way to detect host group provisioning

History

#1 - 07/31/2014 07:24 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1637 added

- Pull request deleted ()

#2 - 08/05/2014 07:26 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- Subject changed from Host group provisioning cannot call foreman_url to Add @provisioning_type variable to tell when provisioning with a host

group

- translation missing: en.field_release set to 10

#3 - 08/05/2014 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7d5aaa825a87d308650b6f3ebdea6bbef4f86dce.

#4 - 08/05/2014 11:56 AM - Stephen Benjamin

- Bugzilla link set to 1126937
